Open CASCADE, the 3D modelling kernel
3D modeling & numerical simulation

Search the Forums
See All Topics
 

[Bug] BRepFilletAPI_MakeFillet

[Bug] BRepFilletAPI_MakeFillet
Dulanga Bulathgama 2013/01/22 14:25
Hello,

I'm Using OpenCascade 6.5.2
Erroneous result were occurred when a 1x1x1 box is filleted with 0.6 radius on all edges

following is the sample code and the result is attached

TopoDS_Shape Box = BRepPrimAPI_MakeBox(gp_Pnt(0,0,0),1,1,1);
BRepFilletAPI_MakeFillet fillet(Box);

for (TopExp_Explorer ex(Box,TopAbs_EDGE); ex.More(); ex.Next())
{
     TopoDS_Edge Edge =TopoDS::Edge(ex.Current());
     fillet.Add(0.6,Edge);
}

fillet.Build();
if(fillet.IsDone())
{
     TopoDS_Shape blendedBox = fillet.Shape();
     AISShape->Set(blendedBox);
     myContext->Redisplay(AISShape);
}

**Note
if the radius was 1 instead of 0.6, then the IsDone() method returns false
You have to be logged in to download the attached file
 
 
Latest news
  • New features to enhance the development process
  • Open CASCADE Technology 6.7.1 is available for download!
  • Open CASCADE Technology 6.7.0 is available for download!

  • © OPEN CASCADE 2000 - 2014  |  Search  |  Contacts   |  Site map